org.apache.felix.utils.repository

## Class StaxParser

- java.lang.Object
- - org.apache.felix.utils.repository.StaxParser

    public final class StaxParser
    extends Object

Repository XML xml based on StaX

### Nested Class Summary

Nested Classes
`static class` `StaxParser.Referral`
`static class` `StaxParser.XmlRepository`

### Field Summary

Fields
`static String` `ATTRIBUTE`
`static String` `CAPABILITY`
`static String` `DEPTH`
`static String` `DIRECTIVE`
`static String` `INCREMENT`
`static String` `NAME`
`static String` `NAMESPACE`
`static String` `REFERRAL`
`static String` `REPO_NAME`
`static String` `REPOSITORY`
`static String` `REPOSITORY_NAMESPACE`
`static String` `REQUIREMENT`
`static String` `RESOURCE`
`static String` `TYPE`
`static String` `URL`
`static String` `VALUE`

### Method Summary

All Methods Static Methods Concrete Methods
`static StaxParser.XmlRepository` `parse(InputStream is)`
`static StaxParser.XmlRepository` `parse(URI repositoryUrl, InputStream is)`
`static StaxParser.XmlRepository` `parse(URI repositoryUrl, InputStream is, StaxParser.XmlRepository previous)`
`static void` `write(StaxParser.XmlRepository repository, Writer os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REPOSITORY

    public static final String REPOSITORY

See Also:
  Constant Field Values

#### REPO_NAME

    public static final String REPO_NAME

See Also:
  Constant Field Values

#### INCREMENT

    public static final String INCREMENT

See Also:
  Constant Field Values

#### REFERRAL

    public static final String REFERRAL

See Also:
  Constant Field Values

#### DEPTH

    public static final String DEPTH

See Also:
  Constant Field Values

#### URL

    public static final String URL

See Also:
  Constant Field Values

#### RESOURCE

    public static final String RESOURCE

See Also:
  Constant Field Values

#### CAPABILITY

    public static final String CAPABILITY

See Also:
  Constant Field Values

#### REQUIREMENT

    public static final String REQUIREMENT

See Also:
  Constant Field Values

#### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

#### ATTRIBUTE

    public static final String ATTRIBUTE

See Also:
  Constant Field Values

#### DIRECTIVE

    public static final String DIRECTIVE

See Also:
  Constant Field Values

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

#### VALUE

    public static final String VALUE

See Also:
  Constant Field Values

#### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

#### REPOSITORY_NAMESPACE

    public static final String REPOSITORY_NAMESPACE

See Also:
  Constant Field Values

### Method Detail

#### write

    public static void write(StaxParser.XmlRepository repository,
                             Writer os)
                      throws XMLStreamException

Throws:
  `XMLStreamException`

#### parse

    public static StaxParser.XmlRepository parse(InputStream is)
                                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### parse

    public static StaxParser.XmlRepository parse(URI repositoryUrl,
                                                 InputStream is)
                                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### parse

    public static StaxParser.XmlRepository parse(URI repositoryUrl,
                                                 InputStream is,
                                                 StaxParser.XmlRepository previous)
                                          throws XMLStreamException

Throws:
  `XMLStreamException`